initial commit: 1.5.0
[systemrescuecd.git] / portage-overlay / app-arch / tar / files / tar-1.19-xattrs-conf.patch
1 diff -urNp tar-1.22-orig/config.hin tar-1.22/config.hin
2 --- tar-1.22-orig/config.hin    2009-03-05 08:08:07.000000000 +0100
3 +++ tar-1.22/config.hin 2009-03-05 09:57:06.000000000 +0100
4 @@ -131,6 +131,9 @@
5     */
6  #undef HAVE_ALLOCA_H
7  
8 +/* Define to 1 if you have the <attr/xattr.h> header file. */
9 +#undef HAVE_ATTR_XATTR_H
10 +
11  /* Define to 1 if you have the `btowc' function. */
12  #undef HAVE_BTOWC
13  
14 @@ -372,12 +375,21 @@
15  /* Define to 1 if you have the <features.h> header file. */
16  #undef HAVE_FEATURES_H
17  
18 +/* Define to 1 if you have the `fgetxattr' function. */
19 +#undef HAVE_FGETXATTR
20 +
21 +/* Define to 1 if you have the `flistxattr' function. */
22 +#undef HAVE_FLISTXATTR
23 +
24  /* Define to 1 if you have the <float.h> header file. */
25  #undef HAVE_FLOAT_H
26  
27  /* Define to 1 if you have the `flockfile' function. */
28  #undef HAVE_FLOCKFILE
29  
30 +/* Define to 1 if you have the `fsetxattr' function. */
31 +#undef HAVE_FSETXATTR
32 +
33  /* Define to 1 if fseeko (and presumably ftello) exists and is declared. */
34  #undef HAVE_FSEEKO
35  
36 @@ -423,6 +435,9 @@
37  /* Define to 1 if you have the `gettimeofday' function. */
38  #undef HAVE_GETTIMEOFDAY
39  
40 +/* Define to 1 if you have the `getxattr' function. */
41 +#undef HAVE_GETXATTR
42 +
43  /* Define to 1 if you have the <grp.h> header file. */
44  #undef HAVE_GRP_H
45  
46 @@ -468,15 +483,30 @@
47  /* Define to 1 if you have the `lchown' function. */
48  #undef HAVE_LCHOWN
49  
50 +/* Define to 1 if you have the `lgetxattr' function. */
51 +#undef HAVE_LGETXATTR
52 +
53 +/* Define to 1 if you have the `acl' library (-lacl). */
54 +#undef HAVE_LIBACL
55 +
56  /* Define to 1 if you have the <libintl.h> header file. */
57  #undef HAVE_LIBINTL_H
58  
59 +/* Define to 1 if you have the `selinux' library (-lselinux). */
60 +#undef HAVE_LIBSELINUX
61 +
62  /* Define to 1 if you have the <linewrap.h> header file. */
63  #undef HAVE_LINEWRAP_H
64  
65  /* Define to 1 if you have the <linux/fd.h> header file. */
66  #undef HAVE_LINUX_FD_H
67  
68 +/* Define to 1 if you have the `listxattr' function. */
69 +#undef HAVE_LISTXATTR
70 +
71 +/* Define to 1 if you have the `llistxattr' function. */
72 +#undef HAVE_LLISTXATTR
73 +
74  /* Define to 1 if you have the <locale.h> header file. */
75  #undef HAVE_LOCALE_H
76  
77 @@ -486,6 +516,9 @@
78  /* Define to 1 if the system has the type `long long int'. */
79  #undef HAVE_LONG_LONG_INT
80  
81 +/* Define to 1 if you have the `lsetxattr' function. */
82 +#undef HAVE_LSETXATTR
83 +
84  /* Define to 1 if you have the `lstat' function. */
85  #undef HAVE_LSTAT
86  
87 @@ -589,12 +622,18 @@
88  /* Define to 1 if you have the <search.h> header file. */
89  #undef HAVE_SEARCH_H
90  
91 +/* Define to 1 if you have the <selinux/selinux.h> header file. */
92 +#undef HAVE_SELINUX_SELINUX_H
93 +
94  /* Define to 1 if you have the `setenv' function. */
95  #undef HAVE_SETENV
96  
97  /* Define to 1 if you have the `setlocale' function. */
98  #undef HAVE_SETLOCALE
99  
100 +/* Define to 1 if you have the `setxattr' function. */
101 +#undef HAVE_SETXATTR
102 +
103  /* Define to 1 if you have the <sgtty.h> header file. */
104  #undef HAVE_SGTTY_H
105  
106 @@ -734,6 +773,9 @@
107  /* Define to 1 if you have the <sysexits.h> header file. */
108  #undef HAVE_SYSEXITS_H
109  
110 +/* Define to 1 if you have the <sys/acl.h> header file. */
111 +#undef HAVE_SYS_ACL_H
112 +
113  /* Define to 1 if you have the <sys/bitypes.h> header file. */
114  #undef HAVE_SYS_BITYPES_H
115  
116 @@ -891,6 +933,9 @@
117  /* Define if utimes works properly. */
118  #undef HAVE_WORKING_UTIMES
119  
120 +/* Define if we have a working extended attributes */
121 +#undef HAVE_XATTRS
122 +
123  /* Define to 1 if the system has the type `_Bool'. */
124  #undef HAVE__BOOL
125  
126 diff -urNp tar-1.22-orig/configure tar-1.22/configure
127 --- tar-1.22-orig/configure     2009-03-05 08:05:20.000000000 +0100
128 +++ tar-1.22/configure  2009-03-05 09:57:06.000000000 +0100
129 @@ -2127,6 +2127,9 @@ ac_header_list="$ac_header_list sys/tpri
130  ac_header_list="$ac_header_list sys/tape.h"
131  ac_header_list="$ac_header_list unistd.h"
132  ac_header_list="$ac_header_list locale.h"
133 +ac_header_list="$ac_header_list selinux/selinux.h"
134 +ac_header_list="$ac_header_list attr/xattr.h"
135 +ac_header_list="$ac_header_list sys/acl.h"
136  ac_func_list="$ac_func_list flockfile"
137  ac_func_list="$ac_func_list funlockfile"
138  ac_header_list="$ac_header_list features.h"
139 @@ -6022,7 +6025,14 @@ return strerror ();
140    return 0;
141  }
142  _ACEOF
143 -rm -f conftest.$ac_objext conftest$ac_exeext
144 +for ac_lib in '' cposix; do
145 +  if test -z "$ac_lib"; then
146 +    ac_res="none required"
147 +  else
148 +    ac_res=-l$ac_lib
149 +    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
150 +  fi
151 +  rm -f conftest.$ac_objext conftest$ac_exeext
152  if { (ac_try="$ac_link"
153  case "(($ac_try" in
154    *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
155 @@ -6040,25 +6050,35 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec
156          test ! -s conftest.err
157         } && test -s conftest$ac_exeext &&
158         $as_test_x conftest$ac_exeext; then
159 -  ac_cv_lib_cposix_strerror=yes
160 +  ac_cv_search_strerror=$ac_res
161  else
162    echo "$as_me: failed program was:" >&5
163  sed 's/^/| /' conftest.$ac_ext >&5
164  
165 -       ac_cv_lib_cposix_strerror=no
166 +
167  fi
168  
169  rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
170 -      conftest$ac_exeext conftest.$ac_ext
171 -LIBS=$ac_check_lib_save_LIBS
172 +      conftest$ac_exeext
173 +  if test "${ac_cv_search_strerror+set}" = set; then
174 +  break
175  fi
176 -{ echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
177 -echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6; }
178 -if test $ac_cv_lib_cposix_strerror = yes; then
179 -  LIBS="$LIBS -lcposix"
180 +done
181 +if test "${ac_cv_search_strerror+set}" = set; then
182 +  :
183 +else
184 +  ac_cv_search_strerror=no
185  fi
186 +rm conftest.$ac_ext
187 +LIBS=$ac_func_search_save_LIBS
188 +fi
189 +{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
190 +echo "${ECHO_T}$ac_cv_search_strerror" >&6; }
191 +ac_res=$ac_cv_search_strerror
192 +if test "$ac_res" != no; then
193 +  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
194  
195 -
196 +fi
197  
198  { echo "$as_me:$LINENO: checking for inline" >&5
199  echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
200 @@ -38773,6 +38793,257 @@ _ACEOF
201  fi
202  done
203  
204 +
205 +
206 +
207 +
208 +
209 +
210 +
211 +
212 +
213 +for ac_func in getxattr  fgetxattr  lgetxattr \
214 +               setxattr  fsetxattr  lsetxattr \
215 +               listxattr flistxattr llistxattr
216 +do
217 +as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
218 +{ echo "$as_me:$LINENO: checking for $ac_func" >&5
219 +echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
220 +if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
221 +  echo $ECHO_N "(cached) $ECHO_C" >&6
222 +else
223 +  cat >conftest.$ac_ext <<_ACEOF
224 +/* confdefs.h.  */
225 +_ACEOF
226 +cat confdefs.h >>conftest.$ac_ext
227 +cat >>conftest.$ac_ext <<_ACEOF
228 +/* end confdefs.h.  */
229 +/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
230 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
231 +#define $ac_func innocuous_$ac_func
232 +
233 +/* System header to define __stub macros and hopefully few prototypes,
234 +    which can conflict with char $ac_func (); below.
235 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
236 +    <limits.h> exists even on freestanding compilers.  */
237 +
238 +#ifdef __STDC__
239 +# include <limits.h>
240 +#else
241 +# include <assert.h>
242 +#endif
243 +
244 +#undef $ac_func
245 +
246 +/* Override any GCC internal prototype to avoid an error.
247 +   Use char because int might match the return type of a GCC
248 +   builtin and then its argument prototype would still apply.  */
249 +#ifdef __cplusplus
250 +extern "C"
251 +#endif
252 +char $ac_func ();
253 +/* The GNU C library defines this for functions which it implements
254 +    to always fail with ENOSYS.  Some functions are actually named
255 +    something starting with __ and the normal name is an alias.  */
256 +#if defined __stub_$ac_func || defined __stub___$ac_func
257 +choke me
258 +#endif
259 +
260 +int
261 +main ()
262 +{
263 +return $ac_func ();
264 +  ;
265 +  return 0;
266 +}
267 +_ACEOF
268 +rm -f conftest.$ac_objext conftest$ac_exeext
269 +if { (ac_try="$ac_link"
270 +case "(($ac_try" in
271 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
272 +  *) ac_try_echo=$ac_try;;
273 +esac
274 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
275 +  (eval "$ac_link") 2>conftest.er1
276 +  ac_status=$?
277 +  grep -v '^ *+' conftest.er1 >conftest.err
278 +  rm -f conftest.er1
279 +  cat conftest.err >&5
280 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
281 +  (exit $ac_status); } && {
282 +        test -z "$ac_c_werror_flag" ||
283 +        test ! -s conftest.err
284 +       } && test -s conftest$ac_exeext &&
285 +       $as_test_x conftest$ac_exeext; then
286 +  eval "$as_ac_var=yes"
287 +else
288 +  echo "$as_me: failed program was:" >&5
289 +sed 's/^/| /' conftest.$ac_ext >&5
290 +
291 +       eval "$as_ac_var=no"
292 +fi
293 +
294 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
295 +      conftest$ac_exeext conftest.$ac_ext
296 +fi
297 +ac_res=`eval echo '${'$as_ac_var'}'`
298 +              { echo "$as_me:$LINENO: result: $ac_res" >&5
299 +echo "${ECHO_T}$ac_res" >&6; }
300 +if test `eval echo '${'$as_ac_var'}'` = yes; then
301 +  cat >>confdefs.h <<_ACEOF
302 +#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
303 +_ACEOF
304 +
305 +cat >>confdefs.h <<\_ACEOF
306 +#define HAVE_XATTRS
307 +_ACEOF
308 +
309 +fi
310 +done
311 +
312 +
313 +{ echo "$as_me:$LINENO: checking for getfilecon in -lselinux" >&5
314 +echo $ECHO_N "checking for getfilecon in -lselinux... $ECHO_C" >&6; }
315 +if test "${ac_cv_lib_selinux_getfilecon+set}" = set; then
316 +  echo $ECHO_N "(cached) $ECHO_C" >&6
317 +else
318 +  ac_check_lib_save_LIBS=$LIBS
319 +LIBS="-lselinux  $LIBS"
320 +cat >conftest.$ac_ext <<_ACEOF
321 +/* confdefs.h.  */
322 +_ACEOF
323 +cat confdefs.h >>conftest.$ac_ext
324 +cat >>conftest.$ac_ext <<_ACEOF
325 +/* end confdefs.h.  */
326 +
327 +/* Override any GCC internal prototype to avoid an error.
328 +   Use char because int might match the return type of a GCC
329 +   builtin and then its argument prototype would still apply.  */
330 +#ifdef __cplusplus
331 +extern "C"
332 +#endif
333 +char getfilecon ();
334 +int
335 +main ()
336 +{
337 +return getfilecon ();
338 +  ;
339 +  return 0;
340 +}
341 +_ACEOF
342 +rm -f conftest.$ac_objext conftest$ac_exeext
343 +if { (ac_try="$ac_link"
344 +case "(($ac_try" in
345 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
346 +  *) ac_try_echo=$ac_try;;
347 +esac
348 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
349 +  (eval "$ac_link") 2>conftest.er1
350 +  ac_status=$?
351 +  grep -v '^ *+' conftest.er1 >conftest.err
352 +  rm -f conftest.er1
353 +  cat conftest.err >&5
354 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
355 +  (exit $ac_status); } && {
356 +        test -z "$ac_c_werror_flag" ||
357 +        test ! -s conftest.err
358 +       } && test -s conftest$ac_exeext &&
359 +       $as_test_x conftest$ac_exeext; then
360 +  ac_cv_lib_selinux_getfilecon=yes
361 +else
362 +  echo "$as_me: failed program was:" >&5
363 +sed 's/^/| /' conftest.$ac_ext >&5
364 +
365 +       ac_cv_lib_selinux_getfilecon=no
366 +fi
367 +
368 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
369 +      conftest$ac_exeext conftest.$ac_ext
370 +LIBS=$ac_check_lib_save_LIBS
371 +fi
372 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_selinux_getfilecon" >&5
373 +echo "${ECHO_T}$ac_cv_lib_selinux_getfilecon" >&6; }
374 +if test $ac_cv_lib_selinux_getfilecon = yes; then
375 +  cat >>confdefs.h <<_ACEOF
376 +#define HAVE_LIBSELINUX 1
377 +_ACEOF
378 +
379 +  LIBS="-lselinux $LIBS"
380 +
381 +fi
382 +
383 +
384 +{ echo "$as_me:$LINENO: checking for acl_get_fd in -lacl" >&5
385 +echo $ECHO_N "checking for acl_get_fd in -lacl... $ECHO_C" >&6; }
386 +if test "${ac_cv_lib_acl_acl_get_fd+set}" = set; then
387 +  echo $ECHO_N "(cached) $ECHO_C" >&6
388 +else
389 +  ac_check_lib_save_LIBS=$LIBS
390 +LIBS="-lacl  $LIBS"
391 +cat >conftest.$ac_ext <<_ACEOF
392 +/* confdefs.h.  */
393 +_ACEOF
394 +cat confdefs.h >>conftest.$ac_ext
395 +cat >>conftest.$ac_ext <<_ACEOF
396 +/* end confdefs.h.  */
397 +
398 +/* Override any GCC internal prototype to avoid an error.
399 +   Use char because int might match the return type of a GCC
400 +   builtin and then its argument prototype would still apply.  */
401 +#ifdef __cplusplus
402 +extern "C"
403 +#endif
404 +char acl_get_fd ();
405 +int
406 +main ()
407 +{
408 +return acl_get_fd ();
409 +  ;
410 +  return 0;
411 +}
412 +_ACEOF
413 +rm -f conftest.$ac_objext conftest$ac_exeext
414 +if { (ac_try="$ac_link"
415 +case "(($ac_try" in
416 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
417 +  *) ac_try_echo=$ac_try;;
418 +esac
419 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
420 +  (eval "$ac_link") 2>conftest.er1
421 +  ac_status=$?
422 +  grep -v '^ *+' conftest.er1 >conftest.err
423 +  rm -f conftest.er1
424 +  cat conftest.err >&5
425 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
426 +  (exit $ac_status); } && {
427 +        test -z "$ac_c_werror_flag" ||
428 +        test ! -s conftest.err
429 +       } && test -s conftest$ac_exeext &&
430 +       $as_test_x conftest$ac_exeext; then
431 +  ac_cv_lib_acl_acl_get_fd=yes
432 +else
433 +  echo "$as_me: failed program was:" >&5
434 +sed 's/^/| /' conftest.$ac_ext >&5
435 +
436 +       ac_cv_lib_acl_acl_get_fd=no
437 +fi
438 +
439 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
440 +      conftest$ac_exeext conftest.$ac_ext
441 +LIBS=$ac_check_lib_save_LIBS
442 +fi
443 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_acl_acl_get_fd" >&5
444 +echo "${ECHO_T}$ac_cv_lib_acl_acl_get_fd" >&6; }
445 +if test $ac_cv_lib_acl_acl_get_fd = yes; then
446 +  cat >>confdefs.h <<_ACEOF
447 +#define HAVE_LIBACL 1
448 +_ACEOF
449 +
450 +  LIBS="-lacl $LIBS"
451 +
452 +fi
453 +
454 +
455  { echo "$as_me:$LINENO: checking whether getgrgid is declared" >&5
456  echo $ECHO_N "checking whether getgrgid is declared... $ECHO_C" >&6; }
457  if test "${ac_cv_have_decl_getgrgid+set}" = set; then
458 @@ -40571,6 +40842,296 @@ fi
459  
460  done
461  
462 +
463 +for ac_header in selinux/selinux.h
464 +do
465 +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
466 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
467 +  { echo "$as_me:$LINENO: checking for $ac_header" >&5
468 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
469 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
470 +  echo $ECHO_N "(cached) $ECHO_C" >&6
471 +fi
472 +ac_res=`eval echo '${'$as_ac_Header'}'`
473 +              { echo "$as_me:$LINENO: result: $ac_res" >&5
474 +echo "${ECHO_T}$ac_res" >&6; }
475 +else
476 +  # Is the header compilable?
477 +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
478 +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
479 +cat >conftest.$ac_ext <<_ACEOF
480 +/* confdefs.h.  */
481 +_ACEOF
482 +cat confdefs.h >>conftest.$ac_ext
483 +cat >>conftest.$ac_ext <<_ACEOF
484 +/* end confdefs.h.  */
485 +$ac_includes_default
486 +#include <$ac_header>
487 +_ACEOF
488 +rm -f conftest.$ac_objext
489 +if { (ac_try="$ac_compile"
490 +case "(($ac_try" in
491 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
492 +  *) ac_try_echo=$ac_try;;
493 +esac
494 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
495 +  (eval "$ac_compile") 2>conftest.er1
496 +  ac_status=$?
497 +  grep -v '^ *+' conftest.er1 >conftest.err
498 +  rm -f conftest.er1
499 +  cat conftest.err >&5
500 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
501 +  (exit $ac_status); } && {
502 +        test -z "$ac_c_werror_flag" ||
503 +        test ! -s conftest.err
504 +       } && test -s conftest.$ac_objext; then
505 +  ac_header_compiler=yes
506 +else
507 +  echo "$as_me: failed program was:" >&5
508 +sed 's/^/| /' conftest.$ac_ext >&5
509 +
510 +       ac_header_compiler=no
511 +fi
512 +
513 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
514 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
515 +echo "${ECHO_T}$ac_header_compiler" >&6; }
516 +
517 +# Is the header present?
518 +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
519 +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
520 +cat >conftest.$ac_ext <<_ACEOF
521 +/* confdefs.h.  */
522 +_ACEOF
523 +cat confdefs.h >>conftest.$ac_ext
524 +cat >>conftest.$ac_ext <<_ACEOF
525 +/* end confdefs.h.  */
526 +#include <$ac_header>
527 +_ACEOF
528 +if { (ac_try="$ac_cpp conftest.$ac_ext"
529 +case "(($ac_try" in
530 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
531 +  *) ac_try_echo=$ac_try;;
532 +esac
533 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
534 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
535 +  ac_status=$?
536 +  grep -v '^ *+' conftest.er1 >conftest.err
537 +  rm -f conftest.er1
538 +  cat conftest.err >&5
539 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
540 +  (exit $ac_status); } >/dev/null && {
541 +        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
542 +        test ! -s conftest.err
543 +       }; then
544 +  ac_header_preproc=yes
545 +else
546 +  echo "$as_me: failed program was:" >&5
547 +sed 's/^/| /' conftest.$ac_ext >&5
548 +
549 +  ac_header_preproc=no
550 +fi
551 +
552 +rm -f conftest.err conftest.$ac_ext
553 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
554 +echo "${ECHO_T}$ac_header_preproc" >&6; }
555 +
556 +# So?  What about this header?
557 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
558 +  yes:no: )
559 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
560 +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
561 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
562 +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
563 +    ac_header_preproc=yes
564 +    ;;
565 +  no:yes:* )
566 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
567 +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
568 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
569 +echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
570 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
571 +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
572 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
573 +echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
574 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
575 +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
576 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
577 +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
578 +    ( cat <<\_ASBOX
579 +## ------------------------------ ##
580 +## Report this to bug-tar@gnu.org ##
581 +## ------------------------------ ##
582 +_ASBOX
583 +     ) | sed "s/^/$as_me: WARNING:     /" >&2
584 +    ;;
585 +esac
586 +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
587 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
588 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
589 +  echo $ECHO_N "(cached) $ECHO_C" >&6
590 +else
591 +  eval "$as_ac_Header=\$ac_header_preproc"
592 +fi
593 +ac_res=`eval echo '${'$as_ac_Header'}'`
594 +              { echo "$as_me:$LINENO: result: $ac_res" >&5
595 +echo "${ECHO_T}$ac_res" >&6; }
596 +
597 +fi
598 +if test `eval echo '${'$as_ac_Header'}'` = yes; then
599 +  cat >>confdefs.h <<_ACEOF
600 +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
601 +_ACEOF
602 +
603 +fi
604 +
605 +done
606 +
607 +
608 +for ac_header in attr/xattr.h
609 +do
610 +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
611 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
612 +  { echo "$as_me:$LINENO: checking for $ac_header" >&5
613 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
614 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
615 +  echo $ECHO_N "(cached) $ECHO_C" >&6
616 +fi
617 +ac_res=`eval echo '${'$as_ac_Header'}'`
618 +              { echo "$as_me:$LINENO: result: $ac_res" >&5
619 +echo "${ECHO_T}$ac_res" >&6; }
620 +else
621 +  # Is the header compilable?
622 +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
623 +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
624 +cat >conftest.$ac_ext <<_ACEOF
625 +/* confdefs.h.  */
626 +_ACEOF
627 +cat confdefs.h >>conftest.$ac_ext
628 +cat >>conftest.$ac_ext <<_ACEOF
629 +/* end confdefs.h.  */
630 +$ac_includes_default
631 +#include <$ac_header>
632 +_ACEOF
633 +rm -f conftest.$ac_objext
634 +if { (ac_try="$ac_compile"
635 +case "(($ac_try" in
636 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
637 +  *) ac_try_echo=$ac_try;;
638 +esac
639 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
640 +  (eval "$ac_compile") 2>conftest.er1
641 +  ac_status=$?
642 +  grep -v '^ *+' conftest.er1 >conftest.err
643 +  rm -f conftest.er1
644 +  cat conftest.err >&5
645 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
646 +  (exit $ac_status); } && {
647 +        test -z "$ac_c_werror_flag" ||
648 +        test ! -s conftest.err
649 +       } && test -s conftest.$ac_objext; then
650 +  ac_header_compiler=yes
651 +else
652 +  echo "$as_me: failed program was:" >&5
653 +sed 's/^/| /' conftest.$ac_ext >&5
654 +
655 +       ac_header_compiler=no
656 +fi
657 +
658 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
659 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
660 +echo "${ECHO_T}$ac_header_compiler" >&6; }
661 +
662 +# Is the header present?
663 +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
664 +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
665 +cat >conftest.$ac_ext <<_ACEOF
666 +/* confdefs.h.  */
667 +_ACEOF
668 +cat confdefs.h >>conftest.$ac_ext
669 +cat >>conftest.$ac_ext <<_ACEOF
670 +/* end confdefs.h.  */
671 +#include <$ac_header>
672 +_ACEOF
673 +if { (ac_try="$ac_cpp conftest.$ac_ext"
674 +case "(($ac_try" in
675 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
676 +  *) ac_try_echo=$ac_try;;
677 +esac
678 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
679 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
680 +  ac_status=$?
681 +  grep -v '^ *+' conftest.er1 >conftest.err
682 +  rm -f conftest.er1
683 +  cat conftest.err >&5
684 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
685 +  (exit $ac_status); } >/dev/null && {
686 +        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
687 +        test ! -s conftest.err
688 +       }; then
689 +  ac_header_preproc=yes
690 +else
691 +  echo "$as_me: failed program was:" >&5
692 +sed 's/^/| /' conftest.$ac_ext >&5
693 +
694 +  ac_header_preproc=no
695 +fi
696 +
697 +rm -f conftest.err conftest.$ac_ext
698 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
699 +echo "${ECHO_T}$ac_header_preproc" >&6; }
700 +
701 +# So?  What about this header?
702 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
703 +  yes:no: )
704 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
705 +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
706 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
707 +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
708 +    ac_header_preproc=yes
709 +    ;;
710 +  no:yes:* )
711 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
712 +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
713 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
714 +echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
715 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
716 +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
717 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
718 +echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
719 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
720 +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
721 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
722 +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
723 +    ( cat <<\_ASBOX
724 +## ------------------------------ ##
725 +## Report this to bug-tar@gnu.org ##
726 +## ------------------------------ ##
727 +_ASBOX
728 +     ) | sed "s/^/$as_me: WARNING:     /" >&2
729 +    ;;
730 +esac
731 +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
732 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
733 +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
734 +  echo $ECHO_N "(cached) $ECHO_C" >&6
735 +else
736 +  eval "$as_ac_Header=\$ac_header_preproc"
737 +fi
738 +ac_res=`eval echo '${'$as_ac_Header'}'`
739 +              { echo "$as_me:$LINENO: result: $ac_res" >&5
740 +echo "${ECHO_T}$ac_res" >&6; }
741 +
742 +fi
743 +if test `eval echo '${'$as_ac_Header'}'` = yes; then
744 +  cat >>confdefs.h <<_ACEOF
745 +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
746 +_ACEOF
747 +
748 +fi
749 +
750 +done
751 +
752  { echo "$as_me:$LINENO: checking for iconv_t" >&5
753  echo $ECHO_N "checking for iconv_t... $ECHO_C" >&6; }
754  if test "${ac_cv_type_iconv_t+set}" = set; then
755 diff -urNp tar-1.22-orig/src/Makefile.in tar-1.22/src/Makefile.in
756 --- tar-1.22-orig/src/Makefile.in       2009-03-05 08:05:26.000000000 +0100
757 +++ tar-1.22/src/Makefile.in    2009-03-05 09:57:06.000000000 +0100
758 @@ -143,7 +143,8 @@ am_tar_OBJECTS = buffer.$(OBJEXT) checkp
759         extract.$(OBJEXT) xheader.$(OBJEXT) incremen.$(OBJEXT) \
760         list.$(OBJEXT) misc.$(OBJEXT) names.$(OBJEXT) sparse.$(OBJEXT) \
761         suffix.$(OBJEXT) system.$(OBJEXT) tar.$(OBJEXT) \
762 -       transform.$(OBJEXT) update.$(OBJEXT) utf8.$(OBJEXT)
763 +       transform.$(OBJEXT) update.$(OBJEXT) utf8.$(OBJEXT) \
764 +       xattrs.$(OBJEXT)
765  tar_OBJECTS = $(am_tar_OBJECTS)
766  am__DEPENDENCIES_1 =
767  am__DEPENDENCIES_2 = ../lib/libtar.a $(am__DEPENDENCIES_1) \
768 @@ -653,7 +654,7 @@ sysconfdir = @sysconfdir@
769  target_alias = @target_alias@
770  top_builddir = @top_builddir@
771  top_srcdir = @top_srcdir@
772 -noinst_HEADERS = arith.h common.h tar.h
773 +noinst_HEADERS = arith.h common.h tar.h xattrs.h
774  tar_SOURCES = \
775   buffer.c\
776   checkpoint.c\
777 @@ -672,11 +673,12 @@ tar_SOURCES = \
778   tar.c\
779   transform.c\
780   update.c\
781 - utf8.c
782 + utf8.c\
783 + xattrs.c
784  
785  INCLUDES = -I$(top_srcdir)/lib -I../ -I../lib
786  LDADD = ../lib/libtar.a $(LIBINTL) $(LIBICONV)
787 -tar_LDADD = $(LDADD) $(LIB_CLOCK_GETTIME)
788 +tar_LDADD = $(LIBS) $(LDADD) $(LIB_CLOCK_GETTIME)
789  all: all-am
790  
791  .SUFFIXES:
792 @@ -776,6 +778,7 @@ distclean-compile:
793  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/transform.Po@am__quote@
794  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/update.Po@am__quote@
795  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utf8.Po@am__quote@
796 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xattrs.Po@am__quote@
797  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xheader.Po@am__quote@
798  
799  .c.o: